{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Add new hazard</title>
    <link href="{% static 'bootstrap.min.css' %}" rel="stylesheet" type="text/css">
    <link href="https://unpkg.com/leaflet@1.7.1/dist/leaflet.css" integrity="sha512-xodZBNTC5n17Xt2atTPuE1HxjVMSvLVW9ocqUKLsCC5CXdbqCmblAshOMAS6/keqq/sMZMZ19scR4PsZChSR7A==" crossorigin="" rel="stylesheet" type="text/css" />
</head>
<body class="text-left container-fluid" dir="rtl">
<style rel="stylesheet">
    .site {color: #000060; font-weight: 700;}
    .hazard {color: #600000; font-weight: 700;}
    a:hover {text-decoration: none;}
</style>
<div class="hazard alert alert-danger m-2 w-75 text-left" dir="ltr">
    <form action="/hazards/add/" method="POST">
        {% csrf_token %}
        <label for="id_title">Title:</label>
        <br>
        {{ form.title }}
        <br>
        <label for="h_lat">Lat:</label>
        <br>
        {{ form.h_lat }}
        <br>
        <label for="h_lat">Lng:</label>
        <br>
        {{ form.h_lng }}
        <br>
        <br>
        <input type="submit" value="Add Hazard" />
        <div id="hazard_map"></div>
    </form>
</div>

<script src="{% static 'jquery-3.6.0.min.js' %}" type="text/javascript"></script>
<script src="{% static 'bootstrap.min.js' %}" type="text/javascript"></script>
<script src="https://unpkg.com/leaflet@1.7.1/dist/leaflet.js" integrity="sha512-XQoYMqMTK8LvdxXYG3nZ448hOEQiglfqkJs1NOQV44cWnUrBc8PkAOcXy20w0vlaXaVUearIOBhiXZ5V3ynxwA==" crossorigin=""></script>

<script type="text/javascript">
    $(document).ready( function () {
        let h_map = L.map('hazard_map').setView([51.505, -0.09], 13);
        L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
            attribution: '&copy; <a href="https://www.openstreetmap.org/copyright">OpenStreetMap</a> contributors'
        }).addTo(h_map);
        let lastPos = localStorage.getItem('lastSite');

    });
</script>
</body>
</html>
